See {@link http://phk.tekwire.net/} for more information about PHK.

Use Project#createTask to register a new Task.

author | Alexey Shockov
package | phing.tasks.ext.phk
copyright | 2001,2002 THYRELL. All rights reserved
version | $Id$

### Methods

## createWebAccess()

    createWebAccess() : \PhkPackageWebAccess

### Returns

`\PhkPackageWebAccess`

## Returns the textual description of the task

    getDescription() : string

Inherited

inherited_from | \Task::getDescription()

### Returns

`string`The text description of the task

## Returns the location within the buildfile this task occurs.

    getLocation() : \Location

Inherited

Used by BuildException to give detailed error messages.

inherited_from | \Task::getLocation()

### Returns

`\Location`The location object describing the position of this task within the buildfile.

## Returns the owning target of this task.

    getOwningTarget() : \Target

Inherited

inherited_from | \Task::getOwningTarget()

### Returns

`\Target`The target object that owns this task

## Returns a reference to current project

    getProject() : \Project

Inherited

inherited_from | \ProjectComponent::getProject()
inherited_from | \Task::getProject()

### Returns

`\Project`Reference to current porject object

## Returns the wrapper object for runtime configuration

    getRuntimeConfigurableWrapper() : \RuntimeConfigurable

Inherited

inherited_from | \Task::getRuntimeConfigurableWrapper()

### Returns

`\RuntimeConfigurable`The wrapper object used by this task

## Returns the name of task, used only for log messages

    getTaskName() : string

Inherited

inherited_from | \Task::getTaskName()

### Returns

`string`Name of this task

## Returns the name of the task under which it was invoked, usually the XML tagname

    getTaskType() : string

Inherited

inherited_from | \Task::getTaskType()

### Returns

`string`The type of this task (XML Tag)

## Called by the parser to let the task initialize properly.

    init()

Should throw a BuildException if something goes wrong with the build

This is abstract here, but may not be overloaded by subclasses.

### Exceptions

`\BuildException` |

## Provides a project level log event to the task.

    log(string $msg, integer $level)

Inherited

see | \global\BuildEvent
see | \global\BuildListener
inherited_from | \Task::log()

### Parameters

#### $msg

`string`

The message to log

#### $level

`integer`

The priority of the message

## Main method.

    main()

..

## Configure this task if it hasn't been done already.

    maybeConfigure()

Inherited

inherited_from | \Task::maybeConfigure()

## Perfrom this task

    perform()

Inherited

inherited_from | \Task::perform()

## setCliRunScript()

    setCliRunScript(string $cliRunScript)

### Parameters

#### $cliRunScript

`string`

## May be none, gzip or bzip2.

    setCompress(string $compress)

### Parameters

#### $compress

`string`

## setCrcCheck()

    setCrcCheck(string $crcCheck)

### Parameters

#### $crcCheck

`string`

## Sets a textual description of the task

    setDescription(string $desc)

Inherited

inherited_from | \Task::setDescription()

### Parameters

#### $desc

`string`

The text describing the task

## setInputDirectory()

    setInputDirectory(string $inputDirectory)

### Parameters

#### $inputDirectory

`string`

## setLibRunScript()

    setLibRunScript(string $libRunScript)

### Parameters

#### $libRunScript

`string`

## Sets the location within the buildfile this task occurs.

    setLocation(\Location $location)

Inherited

Called by the parser to set location information.

inherited_from | \Task::setLocation()

### Parameters

#### $location

`\Location`

The location object describing the position of this task within the buildfile.

## setName()

    setName(string $name)

### Parameters

#### $name

`string`

## setOutputFile()

    setOutputFile(string $outputFile)

### Parameters

#### $outputFile

`string`

## Sets the owning target this task belongs to.

    setOwningTarget(\Target $target)

Inherited

inherited_from | \Task::setOwningTarget()

### Parameters

#### $target

`\Target`

Reference to owning target

## Path to PHK_Creator.phk file.

    setPhkCreatorPath(\srting $path)

### Parameters

#### $path

`\srting`

## setPluginClass()

    setPluginClass(string $pluginClass)

### Parameters

#### $pluginClass

`string`

## References the project to the current component.

    setProject(\Project $project)

Inherited

inherited_from | \ProjectComponent::setProject()
inherited_from | \Task::setProject()

### Parameters

#### $project

`\Project`

The reference to the current project

## Sets the wrapper object this task should use for runtime configurable elements.

    setRuntimeConfigurableWrapper(\RuntimeConfigurable $wrapper)

Inherited

inherited_from | \Task::setRuntimeConfigurableWrapper()

### Parameters

#### $wrapper

`\RuntimeConfigurable`

The wrapper object this task should use

## True or false.

    setStrip(\srting $strip)

### Parameters

#### $strip

`\srting`

## setSummary()

    setSummary(string $summary)

### Parameters

#### $summary

`string`

## Sets the name of this task for log messages

    setTaskName(string $name) : string

Inherited

inherited_from | \Task::setTaskName()

### Parameters

#### $name

`string`

### Returns

`string`A string representing the name of this task for log

## Sets the type of the task.

    setTaskType(string $name)

Inherited

Usually this is the name of the XML tag

inherited_from | \Task::setTaskType()

### Parameters

#### $name

`string`

The type of this task (XML Tag)

## setVersion()

    setVersion(string $version)

### Parameters

#### $version

`string`

## setWebMainRedirect()

    setWebMainRedirect(string $webMainRedirect)

### Parameters

#### $webMainRedirect

`string`

## setWebRunScript()

    setWebRunScript(string $webRunScript)

### Parameters

#### $webRunScript

`string`

## Returns a name

    getRegisterSlot(string $slotName)

Inherited

inherited_from | \Task::getRegisterSlot()

### Parameters

#### $slotName

`string`

### Properties

##

    $description : string

Inherited

inherited_from | \Task::$$description

##

    $location : \Location

Inherited

inherited_from | \Task::$$location

##

    $project : \Project

Inherited

inherited_from | \ProjectComponent::$$project
inherited_from | \Task::$$project

##

    $target : \Target

Inherited

inherited_from | \Task::$$target

##

    $taskName : string

Inherited

inherited_from | \Task::$$taskName

##

    $taskType : string

Inherited

inherited_from | \Task::$$taskType

##

    $wrapper : \RuntimeConfigurable

Inherited

inherited_from | \Task::$$wrapper

##

    $inputDirectory : string

##

    $modifiers : array

##

    $options : array

##

    $outputFile : string

##

    $phkCreatorPath : string

##

    $webAccess : \PhkPackageWebAccess